# Coriolis Core (CRL) Documentation

Enumerations
Constant Namespace Reference

Store various constants. More...

## Enumerations
enum | Direction { Horizontal = (1<<0), Vertical = (1<<1) }
enum | LayerGaugeType { Default = (1<<0), PinOnly = (1<<1) }
enum | Round { Superior = (1<<2), Inferior = (1<<3), Nearest = (1<<4), Exact = (1<<5) }

## Detailed Description

Store various constants.

## Enumeration Type Documentation

## ◆ Direction

enum Constant::Direction

Routing directions.

Enumerator
Horizontal | Preferred routing direction is horizontal.
Vertical | Preferred routing direction is vertical.

## ◆ LayerGaugeType

enum Constant::LayerGaugeType

Routing directions.

Enumerator
Default | This is layer is a normal routing one.
PinOnly | This layer is only used to connect to pin. No routing wire will be drawn with it.

## ◆ Round

enum Constant::Round

Routing directions.

Enumerator
Superior | Round to the superior bound.
Inferior | Round to the inferior bound.
Nearest | Round to the nearest bound.
Exact | Accept only exact match (no rounding errors).

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved